import request from '@/utils/request'

// 查询风控列表
export function listRisk(query) {
  return request({
    url: '/ss/risk/list',
    method: 'get',
    params: query
  })
}

// 查询风控详细
export function getRisk(riskId) {
  return request({
    url: '/ss/risk/' + riskId,
    method: 'get'
  })
}

// 新增风控
export function addRisk(data) {
  return request({
    url: '/ss/risk',
    method: 'post',
    data: data
  })
}

// 修改风控
export function updateRisk(data) {
  return request({
    url: '/ss/risk',
    method: 'put',
    data: data
  })
}

// 删除风控
export function delRisk(riskId) {
  return request({
    url: '/ss/risk/' + riskId,
    method: 'delete'
  })
}
